<article class="event-preview">
    <div class="inner">

        <?php $date_today = strtotime(date("Y/m/d"));
        $post_id = $post->ID;
        $fields = get_fields($post_id);
        $featured_image = isset($fields['featured_image']) ? $fields['featured_image'] : null;
        $summary = $fields['event_summary'];
        $start_date = $fields['start_datetime'];
        $series = $fields['is_event_series'];
        if($series == true) {
            $series_dates = get_field('event_series_dates', $post_id);
            foreach($series_dates as $series_date) {
                $series_start_date = strtotime($series_date['event_series_start_datetime']);
                if($series_start_date > $date_today) {
                    $start_date = $series_date['event_series_start_datetime'];
                    break;
                }
            }
            
        } ?>

        <?php if($featured_image) { ?>
            <div class="featured-img">
                <img class="featured" src="<?php echo $featured_image; ?>" alt="<?php echo $title; ?>" />
                <span class="img-overlay"></span>
                <a href="<?php the_permalink(); ?>"></a>
            </div>
        <?php } ?>
        
        <div class="content">
            <?php if($series == true) { ?>
                <span>Multiple Dates</span>
                <span class="date">Next: <?php echo date("D, jS M Y", strtotime($start_date)); ?></span>
            <?php } else { ?>
                <span class="date">Next: <?php echo date("D, jS M Y", strtotime($start_date)); ?></span>
            <?php } ?>
            <span class="time"><?php echo date("g:ia", strtotime($start_date)); ?></span>
            <h1><?php the_title(); ?></h1>
            <p><?php echo $summary; ?></p>   
            <a class="btn btn__link" href="<?php the_permalink(); ?>"><span class="btn__text">Book now</span></a>
        </div>

    </div>
</article>